none
Can not find runtime target for framework .NETCoreApp,Version=v1.0 RRS feed

  • Вопрос

  • Доброго времени суток,

    решил опробовать ASP.NET Core на практике.

    Использую Visual Studio 2015 Update 3, установил DotNetCore.1.0.1-VS2015Tools.Preview2.0.3.

    Создал себе проект ASP.Net Core Web API (.Net Core) все работает. Решил обновить библиотеки в NuGet, накопилось 13 штук. После обновления словил ошибку: 

    Can not find runtime target for framework '.NETCoreApp,Version=v1.0' compatible with one of the target runtimes: 'win10-x64, win81-x64, win8-x64, win7-x64'. Possible causes: WebApplication1 C:\Program Files (x86)\MSBuild\Microsoft\VisualStudio\v14.0\DotNet\Microsoft.DotNet.Common.Targets 262

    Может кто сталкивался с подобным?

    25 ноября 2016 г. 10:11

Ответы

  • Наткнулся на stackoverflow тему с похожей ошибкой, решением стало добавление в project.json кода:

    "runtimes": {
        "win10-x64": {}
      },
    Собственно, что было примерно указано во 2-ом варианте в сообщение ошибки. Нужно внимательнее изучить настройки project.json

    • Помечено в качестве ответа wUI 25 ноября 2016 г. 10:28
    25 ноября 2016 г. 10:27